ActionForward (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionForward

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.ForwardConfig
              org.apache.struts.action.ActionForward

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ActionRedirect, ForwardingActionForward, RedirectingActionForward

    public class ActionForward

extends ForwardConfig

An ActionForward represents a destination to which the controller, RequestProcessor, might be directed to perform a RequestDispatcher.forward or HttpServletResponse.sendRedirect to, as a result of processing activities of an Action class. Instances of this class may be created dynamically as necessary, or configured in association with an ActionMapping instance for named lookup of potentially multiple destinations for a particular mapping instance.

An ActionForward has the following minimal set of properties. Additional properties can be provided as needed by subclassses.

- contextRelative - Should the path value be interpreted as context-relative (instead of module-relative, if it starts with a '/' character? [false]
- name - Logical name by which this instance may be looked up in relationship to a particular ActionMapping.
- path - Module-relative or context-relative URI to which control should be forwarded, or an absolute or relative URI to which control should be redirected.
- redirect - Set to true if the controller servlet should call HttpServletResponse.sendRedirect() on the associated path; otherwise false. [false]

Since Struts 1.1 this class extends ForwardConfig and inherits the contextRelative property.

NOTE - This class would have been deprecated and replaced by org.apache.struts.config.ForwardConfig except for the fact that it is part of the public API that existing applications are using.

Version:
  $Rev: 471754 $ $Date: 2005-08-14 17:24:39 -0400 (Sun, 14 Aug 2005) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ForwardConfig
`catalog, command, extensionProcessed, inherit, module, name, path, redirect`

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`ActionForward()` Construct a new instance with default values.
`ActionForward(ActionForward copyMe)` Construct a new instance based on the values of another ActionForward.
`ActionForward(String path)` Construct a new instance with the specified path.
`ActionForward(String path, boolean redirect)` Construct a new instance with the specified `path` and `redirect` flag.
`ActionForward(String name, String path, boolean redirect)` Construct a new instance with the specified `name`, `path` and `redirect` flag.
`ActionForward(String name, String path, boolean redirect, String module)` Construct a new instance with the specified values.

Method Summary

Methods inherited from class org.apache.struts.config.ForwardConfig
`checkCircularInheritance, getCatalog, getCommand, getExtends, getModule, getName, getPath, getRedirect, inheritFrom, isExtensionProcessed, processExtends, setCatalog, setCommand, setExtends, setModule, setName, setPath, setRedirect, toString`

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, freeze, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionForward

    public ActionForward()

  Construct a new instance with default values.

### ActionForward

    public ActionForward(String path)

  Construct a new instance with the specified path.

  Parameters:
    `path` - Path for this instance

### ActionForward

    public ActionForward(String path,
                         boolean redirect)

  Construct a new instance with the specified `path` and `redirect` flag.

  Parameters:
    `path` - Path for this instance
    `redirect` - Redirect flag for this instance

### ActionForward

    public ActionForward(String name,
                         String path,
                         boolean redirect)

  Construct a new instance with the specified `name`, `path` and `redirect` flag.

  Parameters:
    `name` - Name of this instance
    `path` - Path for this instance
    `redirect` - Redirect flag for this instance

### ActionForward

    public ActionForward(String name,
                         String path,
                         boolean redirect,
                         String module)

  Construct a new instance with the specified values.

  Parameters:
    `name` - Name of this forward
    `path` - Path to which control should be forwarded or redirected
    `redirect` - Should we do a redirect?
    `module` - Module prefix, if any

### ActionForward

    public ActionForward(ActionForward copyMe)

  Construct a new instance based on the values of another ActionForward.

  Parameters:
    `copyMe` - An ActionForward instance to copy
  Since:
    Struts 1.2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.